package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 书籍
 * @TableName t_book
 */
@ApiModel
@TableName(value ="t_book")
@Data
public class Book extends BaseEntity {


    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId
    private Long id;

    /**
     * 书名
     */
    @ApiModelProperty("书名")
    private String name;

}